﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    $ style.window.background = Frame("window.png", 24, 24)
    # eg. image eileen happy = "eileen_happy.png"
    image bg classroom1 = "10_1_1.jpg"
    image bg cafeteria = "cafe_teria00.jpg"
    image bg musicroom = "10_4_1.jpg"
    image bg artroom = "10_6_1.jpg"
    image bg cloakroom = "10_9_1.jpg"
    image bg hallway = "10_2_1.jpg"
    image bg bedroom = "tworoom03.jpg"
    image bg scenicroof = "takadai00.jpg"
    
    # Character Images
    image miyu school = "Miyu_stand01.png"
    image jun school = "Jun_stand01.png"

    # Declare characters used by this game.
    $ k = Character('Kyouhei', color="#996633")
    $ j = Character('Jun', color="#ff3366")
    $ m = Character('Miyu', color = "#cc6666")
    $ r = Character('Kikawa-sensei', color = "3399cc")
    $ uv = Character("", who_suffix='', what_prefix='"', what_suffix='"')
    
    
    # Points system.
    
    $ jpoints = 5
    $ mpoints = 5
    $ call_kyouhei = False


# The game starts here.
label start:
    $ save_name = "Rainy DayS"

    uv "The rain's falling down pretty hard."
    
    uv "How long do you think it'll last?"

    show expression Text("{color=#ffffff}Open DayS{/color}", size=50, yalign=0.5, xalign=0.5, drop_shadow=(2, 2)) as text
    with fade
    with Pause(3.0)
    hide text
    with fade
    
    $ save_name = "C'mon get up!"
    
    uv "Are you alright, Suno-san?  You fell asleep during English."
    
    "I could feel my second-hand textbook crushed against my face."
    
    "I opened my eyes slowly...slowly...slowly..."
    
    scene bg classroom1 with fade
    show jun school at right with fade
    j "Although, I could feel my eyes closing a little as well."
    
    "This was a first.  Jun Kisaragi actually talking to a guy."
    
    k "Jun-san?  Why are you talking to me? I know I'm incredibly good looking, but God, don't come on so strong."
    
    "Jun looked a bit taken aback.  Her Snow-white pale cheeks had flushed a bit.  She flipped her hair out of her face and turned to walk away."
    
    j "No reason.  I just wanted to make sure you didn't miss Japanese."
    hide jun school with dissolve
    "And as cooly and elegant as ever, the school's princess and saint, Jun Kisaragi, went back to her seat."
    
    "I stood up, stretched a little and decided to walk around the classroom a little while waiting for the Japanese teacher to arrive."
    
    "Jun was now talking to her friends again, giggling with them as normally as she ever would."
    
    "Damn was she hot."
    
    "Tall, with long deep-brown/black hair and blood-red lips.  Beautiful pale skin which flushed pink.  She was smart, popular, athletic, incredibly rich, sweet and well-mannered."
    
    "Plus she had a great rack."
    
    uv "Why are you checking out Jun-kun?"
    show miyu school at left
    with moveinleft
    "Broken from my daydream, I turned around to face Miyu Ashihara.  Her long, black hair was artfully messy as per usual and she had a mischeiviously knowing look on her face."
    
    k "Ah, Miyu-san.  How's it going?"
    
    "She gave a half-hearted shrug."
    
    m "Okay, I guess.  But I wish guys would stop looking at Jun-kun so much."
    
    "Miyu looked genuinely concerned."
    
    k "You jealous?"
    
    "Miyu shook her head in protest."
    
    m "It's not that...it's just that..."
    
    "She paused, as if to cultivate the rest of her sentence."
    
    m "She's vulnerable, y'know.  She's a really good friend of mine, so I want her to be happy."
    
    k "You're jealous."
    
    "Bingo."
    
    m "I AM NOT JEALOUS!"
    
    k "Woah, easy girl!"
    
    menu: 
        "Make a move on her?":
            $ mpoints += 2
            k "You want me to look at you then?"
            
            "If she was surprised at my remark, then she was one hell of an actress."
            
            m "Thanks for the offer, but I don't like being looked at by idiots."
            
            "Ouch."
            
            "But she added a smile and a wink as she turned to go back to her seat."
            hide miyu school 
            with moveoutleft
            "As I went back to mine, I heard her yell out to me."
            
            m "But if the time comes, I might take you up on that offer!"
            
        "Let it go?":
            
            k "Just joking, okay?"
            
            "She was still fuming, but she had quietened down."
            
            m "Fine.  Whatever."
            hide miyu school 
            with moveoutleft
            "And sullenly she walked back to her seat, with nothing more than the flick of a hand to acknowledge me."
            
            "And I went back to mine."
    $ save_name = "A Moment"
    "Wait?  Miyu Ashihara...actually having a conversation with me?"
    
    "Now, Miyu's not antisocial by any means."
    
    "Usually, she doesn't shut up."
    
    "But she has never been chummy with me.  I guess she's always kept away from the whole perverted playboy gang which I just happen to be a member of."
    
    "In fact, I don't think she's even gone out with anyone."
    
    "Maybe that's because of Jun."
    
    "Because they're pretty close and if you put Miyu and Jun together..."
    
    "Most guys would go with the perfection of Jun."
    
    "Me?"
    
    "I'd go..."
    
    menu:
        
        "Jun":
            $ jpoints += 5
            "The same as any other guy."
            
            "Who would choose Miyu's B-cup over Jun's C's."
            
            "Really?"
            
        "Miyu":
            $ mpoints += 5
            "Yeah, it'd be close, but Miyu's got more..."
            
            "Charisma?  'Cause face it, Jun just doesn't have Miyu's spark."
            
            "Plus she's not too bad to look at either."
            
    "But I'm just that kind of guy."
    
    "Yeah, I'm a nymphomaniac.  But really?  What normal teenage guy isn't?"
    
    "I'm just Kyouhei Suno.  17 years old, poor as dirt and the classes' 'baka hentai'."
    
    "I'm arrogant, egotistical, spiteful and I have no regard for other people."
    
    "But here I am.  At this prestigious school.  On welfare.  The school's charity case."
    
    "And I swear, if I hear another crack at my situation, I will seriously snap."
            
    "And then Kikawa-sensei waltzed in to start our Japanese lesson."
    
    "Sure she was pretty hot, but I wasn't one to fuck with the teacher."
            
    "I spent most of the Japanese lesson ogling Kikawa-sensei's ample bust and trying to balance a pen on the tip of my nose."
    
    "But I kept noticing Jun trying to sneak glances at me when she was doing her work."
    
    "Sweet."
    
    "Did that mean she was interested?"
    
    "Maybe I could teach the model student some new tricks."
    
    "I think Miyu can read minds or some shit like that because she caught on to what I was thinking and shot me a dirty look."
    
    "Mentally I shot back, 'You can join in if you want, I don't mind.'"
    
    "I was half-relieved, half-disappointed when her amazing powers of telepathy failed and she just calmly went back to her work."
    $ save_name = "Mr Idiot"
    "At the end of Japanese, Kikawa-sensei delivered a message to the class."
    
    r "It's time to choose your elective subjects."
    
    r "We do this every year and if you can remember, we held a ballot a few weeks ago to see what would be the most popular choices for elective subjects."
    
    r "Now you can choose between the top 2 choices."
    
    r "And they are..."
    
    "She took a moment to unfold a piece of paper, probably trying to heighten the suspense which was non-existant."
    
    r "Music and Art."
    
    "Oh.  What gay subjects."
    
    r "I'll leave the sign up sheets here, so take your time deciding."
    
    "Then she left the room and an excited rabble began."
    
    "A few people knew exactly what they wanted and signed up straight away, whilst others like me seemed to view the subjects with indifference."
    
    "I guess I would have to choose the lesser of two evils."
    
    "Although, evil is what I would use to describe the almost unholy sound of Miyu's voice breaking my concentration."
    
    m "I think I'll take Art!  Seeming as I absolutely suck at music."
    
    "A few of her friends, including Jun laughed."
    
    "It must've been an in-joke because I had no idea of what was so funny about it."
    
    m "What about you guys?"
    
    "Sara" "I think I'll do Music.  I'm better at it than Art."
    
    "Murmurs of agreement followed."
    
    "Megumi" "Yeah, I'm thinking of doing that as well."
    
    j "So will I."
    
    "Riiko" "Fine, I'll do it..."
    
    "God, they're all a bunch of sheep."
    
    "And I think the look on Miyu's face made me think that we were on the same wavelength."
    
    "Then she caught me gawking at them and came over."
    show miyu school at left
    with moveinleft
    m "So?"
    
    k "So what?"
    
    m "Buttons.  So what are you going to select as your elective."
    
    k "Neither.  They're complete pansy subjects."
    
    m "Oh! Just choose one!"
    
    "Well let's think of this rationally."
    
    "If I choose Art...I'll be stuck with this loud, commanding, mind-reading tsundere."
    
    "If I choose Music...I'll be stuck with the beautiful, gentle and accomodating Snow-White."
    
    "Well, obviously..."
    
    menu:
        
        "Art":
            
            "'Cause c'mon.  Who the hell wants to be stuck with giggling sheep for 60 minutes?"
            
            m "That means we'll be spending a whole lesson together!"
            
            k "Whoa, who said anything about together?"
            
            m "W-well...uh, since my friends will be in another class...I don't want to be by myself."
            
            "Before letting me answer she hastily jumped and stuttered."
            
            m "U-uh!  U-um...well, that's okay, o-okay!  I-I'll find someone else!  I c-can't believe I a-asked something so stupid!"
            
            menu:
                
                "Be cruel?":
                    $ mpoints -= 5
                    k "Yeah, neither can I."
                    
                    "Miyu looked like she could burst into tears at any second."
                    
                    "But she masked it with a brave and cocky smile."
                    
                    m "I'm just kidding.  Seriously, who would want to spend an entire lesson with an arrogant, egotistical, evil jerk like you?"
                    
                    "She turned around, angry and embarrassed.  The look I often find on the faces of those I've met."
                    
                    m "J-just go to heck, Suno."
                    
                    k "Ooh...aren't you a bad girl!  And call me Kyouhei, babe.  I don't want you dirtying my last name."
                    $ call_kyouhei = True
                    "I don't know why, but I thought that teasing Miyu could be my new Art past-time."
                    
                    hide miyu school
                    with moveoutleft
                
                "Be nice?":
                    $ mpoints += 3
                    k "Hey, wait a minute.  I was joking.  You know, haha?"
                    
                    "Miyu went back to the cool confidence and nonchalant smile." 
                    
                    m "Of course I knew.  I was just playing along."
                    
                    k "Right."
                    
                    "She could tell I wasn't buying, so I dropped it and reassured her."
                    
                    k "Let's just drop it now.  You can sit next to me in art."
                    
                    "Miyu looked a little troubled."
                    
                    m "You make it seem like it would be some sort of privilage."
                    
                    "But she left it at that and after mumbling 'thanks' left."
                    
                    hide miyu school
                    with moveoutleft
                    
            
        "Music":
            $ jpoints += 5
            "Because, let's face it.  Why be stuck with some loud-mouthed girl when you can have the beauty, elegance and bust size of Jun?"
            
            "And speak of the angel..."
            show jun school at right
            with moveinright
            j "Are you choosing Music, Suno-san?"
            
            k "Sure am.  I'm pretty crap at it, but it beats Art."
            $ mpoints -= 2
            "Miyu scowled and walked away with a bitter expression."
            hide miyu school
            with moveoutleft
            j "Do you need any help in the subject?  I'm sure I could find some time to help you."
            
            menu:
                
                "Hell yeah!":
                    $ jpoints += 2
                    j "I'm glad you are so...interested."
                    
                    "God, even her laugh was gorgeous."
                    hide jun school
                    with moveoutright
                    
                "Oh, God no!":
                    $ jpoints -= 2
                    j "O-okay...why not?"
                    
                    k "Because you'll probably just invite your girlfriends and giggle like you always do."
                    
                    k "It's so annoying."
                    
                    k "So unless we're all gonna have one big three...four... how-many-goddamn-friends-you-have-some, it's not gonna work."
                    
                    "Jun was speechless."
                    
                    "She kinda just backed away.  Very fast.  And very, very dumbfoundedly."
                    hide jun school
                    with moveoutright
                    "I kinda had that effect on people."
                    
   
    
    $ save_name = "In Search of the Magic Cat Lunch!"
    
    "Lunch came and I opened my usual lunch of a few cold takoyaki and a poorly made onigiri."
    
    "I'm not much of a cook."
    
    "If there was one lunchtime wish that I could have granted to me..."
    
    k "It would be for a beautiful girl to make lunch for me."
    
    m "Stop talking to yourself."
    
    "Then both Jun and Miyu came into clear view."
    show jun school at right
    with moveinright
    show miyu school at left
    with moveinleft
    j "Do you have enough to eat Suno-san?"
    
    if call_kyouhei == True:
        m "I could probably stand to give you something, Kyouhei-kun..."
        
    else:
        m "I could probably stand to give you something, Suno-kun..."
        
    "I heard a few people snigger at my expense."
    
    "Riiko" "What a charity case...poor Jun!"
    
    "Megumi" "He needs to ask Miyu for food?  How lowly is that?!"
    
    "That was it."
    
    "The last straw."
        
    "What the hell?  I know that I'm piss poor but...what the hell!"
    
    "No one is meant to give a damn about how I feel, or whether I'm hungry or whether I'm lonely or any of that bullshit!"
    
    k "Okay, I've had enough."
            
    "Jun looked a little puzzled and Miyu just looked emotionless and blank."
            
    j "What's wrong, Suno-san?"
            
    k "No, what the hell is wrong with you two?!"
            
    k "I go from being nothing to number one in a matter of seconds on your priority list!"
            
    k "Is this some stupid, sick game?!"
            
    k "I'm just some dirt-poor arrogant, self-centered pervert!"
            
    k "And here you are trying to make me feel worse by acting like I need your charity and fawning over me!"
            
    "Miyu was the first to interrupt the outburst."
            
    m "We're just trying to be nice, okay?"
            
    k "That's rich coming from the Queen of Cold-Heartedness!"  
    
    k "And the act of charity is hardly believable, 'cause we all know you're just about as poor as I am!"

    k "Your just a nothing compared to Jun and you know it!  Maybe that's why you're always such a bitch to men!"
            
    j "Calm down, Suno-san!  Don't take it out on Miyu!"
            
    k "Oh, so now the princess is preaching to me?"

    k "Let's all worship and bow down to her mighty power!  What the hell is wrong with you?!"

    k "You're just some goddamned robot programmed to be some prissy and pure Mary-Fucking-Sue!  Just get the hell away from me!" 
            
    "It had already been a little while since everyone had their full attention on me."
            
    "Miyu looked like she was about to break down and Jun had turned bright red, her eyes glossed with unshed tears."
    
    k "Screw you guys, I'm out of here."
    hide miyu school 
    with fade
    hide jun school 
    with fade
    
    $ save_name = "Heart's 17"
    
    scene bg scenicroof with fade
    
    "What happened back there?"
    
    "I'll tell you what happened."
    
    "They made a remark on my situation.  I exploded into a giant abusive black hole."
    
    "But I know I meant every word."
    
    "How can people say they don't mean what they say?"
    
    "You've probably thought the things that you blurted out sometime before."
    
    "Miyu act's much too mighty for a person who lives in the slums and Jun is way too perfect and pure too be genuine."
    
    "The wind blew through my hair. It had a sort of calming effect."
    
    "But being calm is not me."
    
    "I could here the creak of doors behind me and then light footsteps."
    
    if jpoints >= 15:
        
        "They were awkward and slow.  Still rythmic but it lacked grace."
        
        "I didn't want to turn around and face anyone."
        
        "There was a light touch of my shoulder.  Fingertips trailed down to my hand."
        
        "Fingers closed around my hand."
        
        "Then I spun around and faced her."
        show jun school at right
        with moveinright
        k "Jun."
        
        "Her face was beet red but she still wouldn't let those tears go."
        
        k "Why are you here?"
        
        j "Because."
        
        k "At least give me a bet-"
        
        "She cut me off and finished her sentence."
        
        j "I love you."
        
        "I admit, I was a little shocked, but, like every other girl I've ever met, they've always wanted a piece of me."
        
        k "Since when?"
        
        j "Yesterday."
        
        "O...kay, maybe not the passionate display I wanted."
        
        j "It was yesterday when both Miyu and I saw you and went..."
        
        j "'Damn, he has got one fine ass.'"
        
        "Oh...my...fucking...god."
        
        show expression Text("{color=#ffffff}Credits{/color}", size=50, yalign=0.5, xalign=0.5, drop_shadow=(2, 2)) as text
        with fade
        with Pause(2.0)
        hide text 
        with fade
        
        "Game programmed and created by Mirielle."
        
        "Character Sprites by Mirielle."
        
        "With use of the Ren'Py engine.  Thanks a lot Py'Tom!"
        
        "Thankyou to everyone at the Lemmasoft forums!  Just having the feeling that everyone is just as stressed as you is wonderful!"
        
        "Backgrounds are under a free-use licence and are property of ther original owners."
        
        show expression Text("{color=#ffffff}The En-{/color}", size=50, yalign=0.5, xalign=0.5, drop_shadow=(2, 2)) as text
        with fade
        hide text 
        with fade
        
        show jun school at right
        with moveinright
        
        k "Goddamn credits."
        
        k "Now...where were we?"
        
        "She looked down and then, a little bashfully, looked up and smiled."
        
        j "A-and then, all of a sudden, I was attracted to you!"
        
        "Grabbing both my hands with hers she stared determinedly into my eyes."
        
        j "Please!  Let me be your girlfriend!"
        
        "Oh...oh god...what has happened to the balance of the universe?"
        
        "This isn't meant to happen."
        
        "Girls like Jun are much too smart and rich to be interested in guys like me."
        
        "She took a deep breath and in a singsong voice said..."
        
        j "So!  What do you say?"
        
        menu:
            
            "Yes.":
                j "Really?  You mean it!  I'm so happy!"
                
                "Happy? I was in shock."
                
                j "You won't regret it Suno-kun!  I'll make sure I'll be the best girlfriend ever!"
                hide jun school
                jump jun_ending1
                
            "No.":
                j "What do you mean...no?"
                
                k " It's just that...I don't want to ruin your life."
                
                j "Eh?  Why would you think that?"
                
                k "Guys like me can't date girls like you.  It's the balance of the universe."
                
                j "Is it what you really want?"
                
                k "Actually...  I WANT to get into your pants...skirt....but that's about it."
                
                "Commitment is SO overated."
                
                j "I think we could make a compromise then."
                hide jun school
                jump jun_ending2               
                
                
            "WTF.":
                j "What's with that?  Wasn't I straightforward enough?"
                
                k "Oh no.  You were PLENTY straightforward."
                
                "Jun looked puzzled."
                
                j "Then why?"
                
                k "Why do you want this?"
                
                j "I know you can love me.  And I love you.  It's truly a feeling of love."
                
                "She stood on her tiptoes and leant closer to my face."
                
                "As our lips connected I could feel her warmth become mine and we stayed like that for what seemed like oh...1 minute and 28 seconds?"
                
                j "Was that easy or what?"
                
                k "Yeah..."
                
                "Mostly because I do that practically everyday with a different girl."
                
                j "Then we can make it work."
                
                hide jun school
                
                jump jun_ending3

        
    elif mpoints >= 12:
        
        "They were fast and with no sense of rythm.  They seemed clumsy yet purposeful."
        
        "I wasn't going to turn around."
        
        "I didn't want to face anyone."
        
        "I could feel hands rush past my side, through my arms."
        
        "They embraced me and I could feel a small frame buried into me."
        
        "She cried loudly and her tears soaked through the back of my shirt."
        
        "I let her sob loudly for about 3 and a half minutes before I couldn't stand the sound."
        show miyu school at left
        with moveinleft
        
        k "Can you just stop with the crying?!"
        
        m "B-but!  KYOUHEI!  I've loved you for since...since..."
        
        "What was she going to say?  Forever?  Ever since I first saw you."
        
        m "Since...Y-yesterday!"
        
        "That was a bit...weak..."
        
        m "I-It was yesterday w-w-when both Jun and I s-saw you and w-went..."
        
        m "'Damn, he has got one f-fine ass.'"
        
        "Oh...my...fucking...god."
        
        show expression Text("{color=#ffffff}Credits{/color}", size=50, yalign=0.5, xalign=0.5, drop_shadow=(2, 2)) as text
        with fade
        with Pause(2.0)
        hide text 
        with fade
        
        "Game programmed and created by Mirielle."
        
        "Character Sprites by Mirielle."
        
        "With use of the Ren'Py engine.  Thanks a lot Py'Tom!"
        
        "Thankyou to everyone at the Lemmasoft forums!  Just having the feeling that everyone is just as stressed as you is wonderful!"
        
        "Backgrounds are under a free-use licence and are property of ther original owners."
        
        show expression Text("{color=#ffffff}The En-{/color}", size=50, yalign=0.5, xalign=0.5, drop_shadow=(2, 2)) as text
        with fade
        with Pause(1.0)
        hide text 
        with fade
        
        show miyu school at left
        with moveinleft
        
        k "Goddamn credits."
        
        k "Now...where were we?"
        
        "Wringing her hands a little she looked up and earnestly she smiled."
        
        m "And then, after I noticed just how fine your ass was...without warning, I was...a-attracted to you!"
        
        "Grabbing both my hands with hers she stared determinedly into my eyes."
        
        m "Please!  Let me be your girlfriend!"
        
        "Oh...oh god...what has happened to the balance of the universe?"
        
        "This isn't meant to happen."
        
        "Girls like Miyu are much too smart and talented to be interested in guys like me."
        
        "Shyly she half looked at the ground and half at me."
        
        m "So, what do you say?"
        
        menu:
            
            "Yes.":
                m "Really!  WAAAH!  I'm so happy!"
                
                "She began to jump up and down in the air squealing maniacally."
                
                k "Woah, calm down ther!  Save it until we're in bed."
                
                "She giggled."
                
                m "Kyouhei-kun!  You're such a pervert!"
                hide miyu school
                jump miyu_ending1
                
            "No.":
                m "EHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH!?"
                
                "Does she ever shut up?"
                
                k "I'm sorry Miyu.  I just can't."
                
                m "B-b-but w-w-wh-w-why?"
                
                "She looked at me with puppy dog eyes."
                
                k "Because you have a bright future ahead of you and I've got nothing."
                
                k "I'd only bring you down."
                
                "She contemplated for a second."
                
                m "I'm sorry to hear that Kyouhei-kun.  But I love you and I know that you wouldn't say that unless you really cared for me."
                
                hide miyu school
                
                jump miyu_ending2
                
            "WTF.":
                m "What's that for!  I mean here I am, pouring my heart out and that's all you can say!"
                
                k "Uh...yeah."
                
                m "KYOUHEI!  How could you say that about my heartfelt declaration of love!"
                
                k "I...just did?"
                
                m "Don't you want me?"
                
                k "Uh...I WANT to 'make love' to you?"
                
                "The angry red flushed out of her cheeks and she simply stated matter-of -factly..."
                
                m "Oh, well in that case."
                
                hide miyu school
                
                jump miyu_ending3
    else:
        
        "And then Kikawa-sensei's voice rang out through the air."
        
        r "Goddamn you Kyouhei!  Get back into class!"
        
        jump kyouhei_endingbad
        
        

label jun_ending1:
    scene bg cafeteria
    
    "And I guess she lived up to her promise."
    
    j "Let's have lunch now Kyouhei!"
    
    "She unpacked her lovingly made lunchbox and we began to eat."
    
    "Suddenly we both found ourself staring at eachother."
    
    "And we kissed eachother softly."
    
    "My wish had come true."
    
    jump game_end
    
    
label jun_ending2:
    
    scene bg hallway
    
    j "You're going to be late Kyouhei!"
    
    k "You know that you never actually tutor me at your tutoring sessions?"
    
    "She grinned sheepishly."
    
    k "Unless it's sex-ed that we're learning about instead of music."
    
    j "Oh shut up and just be there."
    
    "Oh the joy of friends with benefits."
    
    jump game_end
    
label jun_ending3:
    
    scene bg musicroom 
    
    "We lasted about a week."
    
    "Yeah...let's just say that her infatuation with a certain body part of mine turned out to be a little awkward."
    
    "She had a few weird Yaoi fantasies."
    
    "Enough said."
    
    jump game_end
    
label miyu_ending1:
    
    scene bg cloakroom
    
    "She's probably the cutest thing I've ever come across."
    
    "I never knew that one person could have that many emotions and still be so damn cute."
    
    "And did you know that she hates to be called that?"
    
    "So it's just so cute when she gets angry when I call her cute."
    
    "But you can tell she doesn't mind."
    
    "'Cause I guess it's because we're in love."
    
    "And...it feels good."
    
    "And...I don't ever want it to change."
    
    jump game_end
    
label miyu_ending2:
    
    scene bg artroom
    
    "We still remained friends after that.  We would talk during art class and we steadily grew to really admire and care for eachother."
    
    "Of course we'd both never go any farther than that with eachother."
    
    "But slowly and surely, I think this friendship has been good for both of us."
    
    "Miyu's getting better at interacting with guys."
    
    "She's always been a bit insecure around them."
    
    "And I'm getting better grades and becoming a more caring person just by being with her."
    
    "I've grown to love this girl."
    
    "Purely platonic of course."
    jump game_end
    
label miyu_ending3:
    
    scene bg bedroom
    
    "We became friends with benefits."
    
    "Actually...we weren't even friends so to say..."
    
    "She kinda ignored me at school, the way she always had before."
    
    "But when we were alone..."
    
    "That was when the real story began."
    
    "But she'd kill me if I told."
    jump game_end
    
label kyouhei_endingbad:
    
    scene bg classroom1
    
    "Miyu and Jun went back to never speaking to me and I went on with my own life."
    
    "I guess I'll never know what they were thinking at that time."
    
    "Why did they act that way?"
    
    "Maybe one day I'll ask one of them why."
    
    "Yeah.  One day."
    
    jump game_end
    
label game_end:
    scene bg scenicroof
    
    show expression Text("{color=#ffffff}End{/color}", size=50, yalign=0.5, xalign=0.5, drop_shadow=(2, 2)) as text
    with fade
    hide text 
    with fade
    

   
    
    


    
    
